﻿@using System.Web.UI.WebControls;
@using Portal.Models.Forecast;
@using Portal.Models.Supplier;
@using Portal.Models.SupplierFeedbackSummary;

@model Toyota.Common.Web.MVC.ModelHolder
           
<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:110px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Production Month";
                }).GetHtml()            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "SFSHProductionMonthText";
                    textBox.Name = "SFSHProductionMonthText";
                    textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                    textBox.Width = Unit.Pixel(110);
                    //textBox.Properties.ClientSideEvents.TextChanged = "OnSFSHProductionMonthTextTextChanged";
                    
                    if (DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "PRODUCTION_MONTH") != null)
                    {
                        textBox.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "PRODUCTION_MONTH"));
                        //textBox.Enabled = false;
                        //textBox.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                        //textBox.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    }
                    else
                    {
                        textBox.Text = DateTime.Now.Month + " " + DateTime.Now.Year;
                        //textBox.Enabled = true; 
                        //textBox.ControlStyle.BackColor = System.Drawing.Color.White;
                        //textBox.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    }
                }).GetHtml()
            @*<input type='text' id='SFSHProductionMonthText' name='SFSHProductionMonthText' class="mtz-monthpicker-widgetcontainer" style=" width:104px;"/>*@
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                }).GetHtml()                             
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {                       
                    gridLookup.Name = "SFSHSupplierIDOption";
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierFeedbackSummary", Action = "PartialHeaderSupplierLookupGridSupplierFeedbackSummary" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ButtonClick = "OnSFSHSupplierIDOptionButtonClick";

                    if (DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "SUPPLIER_CODE") != null)
                    {
                        gridLookup.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "SUPPLIER_CODE"));
                    }
                    else
                    {
                        gridLookup.Text = "";
                    }
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierName>>()).GetHtml()              
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Timing";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "SFSHTimingOption";
                    comboBox.Properties.Items.Add("Tentative", "T");
                    comboBox.Properties.Items.Add("Firm", "F");
                    comboBox.SelectedIndex = -1;

                    if (DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "VERSION") != null)
                    {
                        switch (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "VERSION")))
                        {
                            case "T":
                                comboBox.SelectedIndex = 0;
                                break;
                            case "F":
                                comboBox.SelectedIndex = 1;
                                break;
                            default:
                                comboBox.SelectedIndex = -1;
                                break;
                        }

                        //comboBox.Enabled = false;
                        //comboBox.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                        //comboBox.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    }
                    else
                    {
                        //comboBox.Enabled = true;
                        //comboBox.ControlStyle.BackColor = System.Drawing.Color.White;
                        //comboBox.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    }
                    
                    comboBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Plant Code";
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SFSHSupplierPlantCodeOption";
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_PLANT_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierFeedbackSummary", Action = "PartialHeaderSupplierPlantLookupGridSupplierFeedbackSummary" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnSFSHSupplierPlantCodeOptionBeginCallback";

                    if (DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "SUPPLIER_PLANT_CD") != null)
                    {
                        gridLookup.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackSummaryParameter>(), "SUPPLIER_PLANT_CD"));
                    }
                    else
                    {
                        gridLookup.Text = "";
                    }
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_PLANT_CD";
                        column.FieldName = "SUPPLIER_PLANT_CD";
                        column.Caption = "Supplier<br />Plant Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierPlan>>()).GetHtml()
        </td>
    </tr>    
    <tr style="height:15px"></tr> @* row spacing *@
    <tr>
        <td colspan="2" align="left">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "SFSHDownloadButton";
                    buttonSettings.Text = "Download";
                    buttonSettings.ControlStyle.CssClass = "dxDisplayInline";
                    buttonSettings.Width = Unit.Pixel(120);
                    buttonSettings.ClientSideEvents.Click = "OnSFSHDownloadButtonClick";
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td colspan="2" align="right">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                                settings =>
                                {
                                    settings.Name = "SFSHSearchButton";
                                    settings.Text = "Search";
                                    settings.Width = Unit.Pixel(80);
                                    settings.Style.Add("display", "inline-table");
                                    settings.ClientSideEvents.Click = "OnSFSHSearchButtonClick";
                                }).GetHtml()
                    </td>
                    <td style="padding-left:2px">
                        @Html.DevExpress().Button(
                                settings =>
                                {
                                    settings.Name = "SFSHClearButton";
                                    settings.Text = "Clear";
                                    settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                                    settings.Style.Add("display", "inline-table");
                                    settings.ClientSideEvents.Click = "OnSFSHClearButtonClick";
                                }).GetHtml()
                    </td>
                </tr>    
            </table>
        </td>
    </tr>
</table>